=== debian/changelog ===
ros-kinetic-moveit-opw-kinematics-plugin (0.1.1-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jeroen De Maeyer <jeroen.demaeyer@kuleuven.be>  Sun, 17 May 2020 08:32:30 -0000
